{% extends "orders/base.html" %}

{% block title %}
Order | Project3: Pizza
{% endblock %}

{% block body %}
<h2>Review your order</h2>
<div class="container order-list-container place-order">
  <div class="order-list col-9">
    <ul>
      {% for item in data.items %}
      <li>
        <div class="order-name">
          <span>{{ item.item }}{% if item.item_small %} [small]{% endif %}</span>
          {% if item.item_toppings|length > 0 %}
          <br>
          <span class="toppings">
            {% for tp in item.item_toppings %}
            {{ tp }}{% if not forloop.last %}, {% endif %}
            {% endfor %}
          </span>
          {% endif %}
        </div>
        <div>${{ item.item_price|floatformat:2 }}</div>
      </li>
      {% endfor %}
      <li>
        <span>Total:</span>
        <span>${{ data.total|floatformat:2 }}</span>
      </li>
    </ul>
    <div class="basket-button-container">
      <div class="row justify-content-between">
        <a href="{% url 'index' %}" class="btn btn-outline-danger">&laquo; Back to the menu</a>
        <a href="{% url 'finalizeorder' %}" class="btn btn-outline-success">Place order &raquo;</a>
      </div>
    </div>
  </div>
</div>
{% endblock %}
